/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../elevation/elevation.js';
import { nothing, PropertyValues } from 'lit';
import { MultiActionChip } from './multi-action-chip.js';
/**
 * A filter chip component.
 */
export declare class FilterChip extends MultiActionChip {
    elevated: boolean;
    removable: boolean;
    selected: boolean;
    protected get primaryId(): string;
    protected readonly primaryAction: HTMLElement | null;
    protected readonly trailingAction: HTMLElement | null;
    protected updated(changed: PropertyValues<this>): void;
    protected renderContainer(content: unknown): import("lit-html").TemplateResult<1>;
    protected getContainerClasses(): {
        elevated: boolean;
        selected: boolean;
        'has-trailing': boolean;
        disabled: boolean;
    };
    protected renderPrimaryAction(content: unknown): import("lit-html").TemplateResult<1>;
    protected renderLeadingIcon(): import("lit-html").TemplateResult<2 | 1>;
    protected renderTrailingAction(): import("lit-html").TemplateResult<1> | typeof nothing;
    protected renderOutline(): import("lit-html").TemplateResult<1>;
    private handleClick;
}
