/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '../../elevation/elevation.js';
import '../../focus/md-focus-ring.js';
import '../../ripple/ripple.js';
import { LitElement, PropertyValues } from 'lit';
/**
 * Tab component.
 */
export declare class Tab extends LitElement {
    /**
     * Whether or not the tab is `selected`.
     **/
    selected: boolean;
    /**
     * In SSR, set this to true when an icon is present.
     */
    hasIcon: boolean;
    /**
     * In SSR, set this to true when there is no label and only an icon.
     */
    iconOnly: boolean;
    /** @private */
    readonly indicator: HTMLElement;
    protected fullWidthIndicator: boolean;
    private readonly assignedDefaultNodes;
    private readonly assignedIcons;
    private readonly internals;
    constructor();
    protected render(): import("lit-html").TemplateResult<1>;
    protected getContentClasses(): {
        'has-icon': boolean;
        'has-label': boolean;
    };
    protected updated(changed: PropertyValues): void;
    private handleKeydown;
    private animateSelected;
    private getKeyframes;
    private handleSlotChange;
    private handleIconSlotChange;
}
